Subject: [PATCH] Enable Emoji support in IBus

From: Leo Prikler <[email-masked]>
Date: Sat, 11 Jan 2020 12:58:08 +0100

Hi Guix!

After ibus-enabling my GNOME Desktop, I dug up an ancient bug, which
causes Ctrl-Shift-u to no longer work.  It appears that in IBus both
this feature and Emoji typing are handled through the Emoji engine,
which is currently disabled in the Guix build of the ibus package. 
Hence I started working enabling emoji support.

I tested this specific series with a VM based on my own current
settings, i.e. with GNOME, GUIX_GTK3_IM_MODULE_FILE set to the system-
wide immodules-gtk.cache and with the ibus-anthy engine specifically. 
>From what I can tell, it does not appear as if Emoji Typing is enabled
until an IBus method (e.g. anthy) is added to GNOME, but that appears
to be on the GNOME side of things and is perfectly fine by me.

Regards,
Leo